For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETList tokens
        • POSTCreate token
        • DELRevoke token
        • PUTUpdate token IP allowlist
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceToken

Update token IP allowlist

PUT
https://api.prod.paradex.trade/v1/account/tokens/:lookup_id/allowed-cidrs
PUT
/v1/account/tokens/:lookup_id/allowed-cidrs
$curl -X PUT https://api.prod.paradex.trade/v1/account/tokens/lookup_id/allowed-cidrs \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "allowed_cidrs": [
3 "[\"203.0.113.0/24\"]"
4 ],
5 "created_at": 1640995200,
6 "expiry_at": 1672531200,
7 "kind": "string",
8 "last_updated_at": 1640995200,
9 "lookup_id": "uuid-123",
10 "name": "My API Token",
11 "revoked_at": 0,
12 "token_id": "token_123"
13}

Replace the IP CIDR allowlist for an auth token. Empty array clears the allowlist (unrestricted). Only callable from the main account session; subkey sessions cannot modify token allowlists.

Was this page helpful?
Previous

Get open algo orders

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

lookup_idstringRequired
Token lookup ID

Request

Replacement CIDR list
allowed_cidrslist of stringsOptional

Full replacement list. Empty = unrestricted.

Response

Updated token details
allowed_cidrslist of strings

IP CIDR allowlist; empty means unrestricted

created_atinteger

Token creation timestamp (nanoseconds since epoch)

expiry_atinteger

Expiration timestamp (nanoseconds since epoch)

kindstring

Token type (jwt, api_key, etc.)

last_updated_atinteger

Last modification timestamp (nanoseconds since epoch)

lookup_idstring
Identifier used for the token lookup
namestring

User-provided token name

revoked_atinteger

Revocation timestamp (nanoseconds since epoch, 0 if not revoked)

token_idstring
Unique ID for the auth token

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error